#include <stdio.h>
#include <stdlib.h>

int B(unsigned long long int a)
{
    int br=0;
    while (a>0)
    {
        br++;
        a=a/10;
    }
    return br;
}

int main()
{
    unsigned long long int d1=1,d2=1,d3=1,r,x,a,b,c,i;
    int ba,bb,bc;
    scanf("%llu %llu %llu", &a, &b, &c);
    ba=B(a);
    bb=B(b);
    bc=B(c);
    for ( i=1; i<=ba; i++)
        d1=d1*10;
    for ( i=1; i<=bc; i++)
        d3=d3*10;
    for ( i=1; i<=bb; i++)
        d2=d2*10;
    r=a+b*d1+c*d2*d1;
    x=a+c*d1+b*d1*d3;
    if (x>r)
        r=x;
    x=b+a*d2+c*d1*d2;
    if (x>r)
        r=x;
    x=b+c*d2+a*d2*d3;
    if (x>r)
        r=x;
    x=c+a*d3+b*d3*d1;
    if (x>r)
        r=x;
    x=c+b*d3+a*d2*d3;
    if (x>r)
        r=x;
    printf("%llu",r);
    return 0;
}